static String fallback[] = {    /* fallback resources */

  /* --- general resources --- */
  /* "*font: -adobe-helvetica-bold-r-normal--12-120-75-75-p-70-iso8859-1", */
  "*font: -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1",
  "*XLVQ.title:                 xlvq",
  "*main.background:            rgb:ef/ef/ef",
  "*main*foreground:            Black",
  "*view.background:            White",

  /* --- menu resources --- */
  "*menuBar*background:         rgb:ef/ef/ef",
  "*menuBar*foreground:         Black",

  "*menuBar.file.label:         File",
  "*file.data.label:            Load Data...",
  "*file.format.label:          Data Format...",
  "*file.save.label:            Save Vectors...",
  "*file.load.label:            Load Vectors...",
  "*file.quit.label:            Quit",

  "*menuBar.actions.label:      Actions",
  "*actions.redraw.label:       Redraw",
  "*actions.init.label:         Initialize",
  "*actions.start.label:        Start Training",
  "*actions.stop.label:         Stop Training",

  "*menuBar.settings.label:     Settings",
  "*settings.params.label:      Parameters...",
  "*settings.atts.label:        Attributes...",
  "*settings.colors.label:      Colors...",

  "*menuBar.help.label:         Help",
  "*help.about.label:           About XLVQ...",

  "*menuBar.accelerators:"
    "<Key>d: data()\\n"         /* File     > Load Data... */
    "<Key>f: format()\\n"       /* File     > Data Format... */
    "<Key>s: save()\\n"         /* File     > Save Vectors... */
    "<Key>l: load()\\n"         /* File     > Load Vectors... */
    "<Key>q: quit()\\n"         /* File     > Quit */
    "<Key>r: redraw()\\n"       /* Actions  > Redraw */
    "<Key>i: init()\\n"         /* Actions  > Initialize */
    "<Key>x: exec()\\n"         /* Actions  > Start/Stop Training */
    "<Key>p: params()\\n"       /* Settings > Parameters... */
    "<Key>t: atts()\\n"         /* Settings > Attributes... */
    "<Key>c: colors()\\n"       /* Settings > Colors... */
    "<Key>a: about()",          /* Help     > About XLVQ... */

  /* --- dialog box resources --- */
  "*form.background:            rgb:ef/ef/ef",
  "*form*foreground:            Black",
  "*Label.background:           rgb:ef/ef/ef",
  "*Command.background:         LightGrey",
  "*Button.background:          LightGrey",
  "*Toggle.background:          White",
  "*MenuButton.background:      White",
  "*SimpleMenu.background:      White",
  "*List*background:            White",
  "*Viewport*background:        White",
  "*Text.width:                 60",
  "*Text*background:            White",
  "*Text.translations:#override:"
    "<Key>Delete: delete-next-character()\\n"
    "<Key>Home  : beginning-of-line()\\n"
    "<Key>End   : end-of-line()\n"
    "<Key>Return: db_close(ok)\\n"
    "!Alt<Key>o : db_close(ok)\\n"
    "!Alt<Key>c : db_close(cancel)",

  "*alertDlg.title:             Alert",

  "*aboutDlg.title:             About XLVQ...",
  "*aboutDlg*info.label:"
    "XLVQ\\n"
    "Learning Vector Quantization Demonstration\\n"
    "Version 1.12 (2018.10.18)\\n\\n"
    "written by Christian Borgelt\\n"
    "Paris Lodron University of Salzburg\\n"
    "Hellbrunnerstrasse 34\\n"
    "A-5020 Salzburg, Austria\\n"
    "e-mail: christian@borgelt.net",

  "*listView.background:        rgb:ef/ef/ef",
  "*pathLabel.label:            Directory/Filter",
  "*listLabel.label:            Files",
  "*update.label:               Update",
  "*fileLabel.label:            Selection",

  "*ok.label:                   Ok",
  "*cancel.label:               Cancel",
  "*dismiss.label:              Dismiss",
  "*ok.accelerators:            !Alt<Key>o: set()notify()unset()",
  "*cancel.accelerators:        !Alt<Key>c: set()notify()unset()",

  "*textDlg.title:              Parse errors",

  /* --- separators dialog box resources --- */
  "*fmtDlg.title:               Data Format...",
  "*fmtDlg*lnames.label:        Field/column names:",
  "*fmtDlg*names.no.label:        no",
  "*fmtDlg*names.yes.label:       yes",
  "*fmtDlg*lrecord.label:       Record separators:",
  "*fmtDlg*lfield.label:        Field separators:",
  "*fmtDlg*lblank.label:        Blank characters:",
  "*fmtDlg*lnull.label:         Null value characters:",
  "*fmtDlg*lcomment.label:      Comment characters:",

  /* --- parameters dialog box resources --- */
  "*paramDlg*title:             Parameters...",
  "*paramDlg*limode.label:      Vector initialization:",
  "*paramDlg*imode*center.label:   center",
  "*paramDlg*imode*mean.label:     global mean",
  "*paramDlg*imode*clsmean.label:  class mean",
  "*paramDlg*imode*data.label:     data points",
  "*paramDlg*lvpcls.label:      Vectors per class:",
  "*paramDlg*lroff.label:       Random offset:",
  "*paramDlg*llrate.label:      Initial learning rate:",
  "*paramDlg*ldecay.label:      Decay parameter:",
  "*paramDlg*ldelay.label:      Delay (in seconds):",

  /* --- attributes dialog box resources --- */
  "*attDlg.title:               Attributes...",
  "*attDlg*lh.label:            horizontal",
  "*attDlg*lv.label:            vertical",
  "*attDlg*lclass.label:        class",
  "*attDlg*lh_min.label:        min:",
  "*attDlg*lh_max.label:        max:",
  "*attDlg*lv_min.label:        min:",
  "*attDlg*lv_max.label:        max:",

  /* --- color dialog box resources --- */
  "*colorDlg.title:             Colors...",
  "*colorDlg*lbkgnd.label:      Background color:",
  "*colorDlg*bkgnd.white.label: white",
  "*colorDlg*bkgnd.black.label: black",
  "*colorDlg*lcoloff.label:     Color offset (angle):",
  "*colorDlg*lshdcnt.label:     Number of shades:",
  "*colorDlg*lsize.label:       Data marker size:",

  NULL };
